package com.example.modular;

import junit.framework.TestCase;

import org.apache.wicket.spring.injection.annot.SpringComponentInjector;
import org.apache.wicket.spring.injection.annot.test.AnnotApplicationContextMock;
import org.apache.wicket.util.tester.WicketTester;
import org.springframework.context.ApplicationContext;

import com.example.modular.warsaw.WicketApplication;

/**
 * Base test class for Modular Wicket applications.
 * 
 * @author Krzysztof Smigielski
 */
public abstract class BaseTestCase extends TestCase {

    protected WicketTester tester;

    protected ApplicationContext mockAppCtx;

    protected WicketApplication application;

    @Override
    public void setUp() {
        mockAppCtx = new AnnotApplicationContextMock();
        application = new WicketApplication();
        SpringComponentInjector sci = new SpringComponentInjector(application, mockAppCtx);
        application.setSpringComponentInjector(sci);
        tester = new WicketTester(application);
    }

}
